com.holonplatform.jaxrs.server.internal

## Class DefaultJaxrsHttpRequest

- java.lang.Object
- - com.holonplatform.http.internal.AbstractHttpRequest
  - - com.holonplatform.jaxrs.server.internal.DefaultJaxrsHttpRequest

- All Implemented Interfaces:
    com.holonplatform.core.messaging.Message<String,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<String>, com.holonplatform.http.HttpRequest, JaxrsHttpRequest

      public class DefaultJaxrsHttpRequest
      extends com.holonplatform.http.internal.AbstractHttpRequest
      implements JaxrsHttpRequest

  `HttpRequest` using JAX-RS context informations.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJaxrsHttpRequest(javax.ws.rs.core.Request request, javax.ws.rs.core.UriInfo uriInfo, javax.ws.rs.core.HttpHeaders headers)` Construct and `HttpRequest` using JAX-RS context informations

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getBody()`
    `Optional<List<String>>` | `getHeader(String name)`
    `Map<String,List<String>>` | `getHeaders()`
    `com.holonplatform.http.HttpMethod` | `getMethod()`
    `Optional<List<String>>` | `getMultiValueRequestParameter(String name)`
    `Optional<com.holonplatform.http.Cookie>` | `getRequestCookie(String name)`
    `String` | `getRequestHost()`
    `Optional<String>` | `getRequestParameter(String name)`
    `javax.ws.rs.core.MultivaluedMap<String,String>` | `getRequestParameters()`
    `String` | `getRequestPath()`
    `String` | `getRequestURI()` Get the absolute request URI including any query parameters.

    - ### Methods inherited from class com.holonplatform.http.internal.AbstractHttpRequest

      `getPayload, getPayloadType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jaxrs.server.JaxrsHttpRequest

      `create, create`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

- - ### Constructor Detail

    - #### DefaultJaxrsHttpRequest

          public DefaultJaxrsHttpRequest(javax.ws.rs.core.Request request,
                                         javax.ws.rs.core.UriInfo uriInfo,
                                         javax.ws.rs.core.HttpHeaders headers)

      Construct and `HttpRequest` using JAX-RS context informations
      Parameters:
        `request` - Request
        `uriInfo` - URI informations
        `headers` - Headers informations

  - ### Method Detail

    - #### getMethod

          public com.holonplatform.http.HttpMethod getMethod()

      Specified by:
        `getMethod` in interface `com.holonplatform.http.HttpRequest`

    - #### getHeaders

          public Map<String,List<String>> getHeaders()

      Specified by:
        `getHeaders` in interface `com.holonplatform.core.messaging.MessageHeaders<List<String>>`

    - #### getHeader

          public Optional<List<String>> getHeader(String name)

      Specified by:
        `getHeader` in interface `com.holonplatform.core.messaging.MessageHeaders<List<String>>`

    - #### getRequestPath

          public String getRequestPath()

      Specified by:
        `getRequestPath` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestHost

          public String getRequestHost()

      Specified by:
        `getRequestHost` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestParameter

          public Optional<String> getRequestParameter(String name)

      Specified by:
        `getRequestParameter` in interface `com.holonplatform.http.HttpRequest`

    - #### getMultiValueRequestParameter

          public Optional<List<String>> getMultiValueRequestParameter(String name)

      Specified by:
        `getMultiValueRequestParameter` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestParameters

          public javax.ws.rs.core.MultivaluedMap<String,String> getRequestParameters()

      Specified by:
        `getRequestParameters` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestCookie

          public Optional<com.holonplatform.http.Cookie> getRequestCookie(String name)

      Specified by:
        `getRequestCookie` in interface `com.holonplatform.http.HttpRequest`

    - #### getBody

          public InputStream getBody()
                              throws IOException,
                                     UnsupportedOperationException

      Specified by:
        `getBody` in interface `com.holonplatform.http.HttpRequest`
      Throws:
        `IOException`
        `UnsupportedOperationException`

    - #### getRequestURI

          public String getRequestURI()

      Description copied from interface: `JaxrsHttpRequest`
      Get the absolute request URI including any query parameters.
      Specified by:
        `getRequestURI` in interface `JaxrsHttpRequest`
      Returns:
        the absolute request URI

Copyright © 2019 The Holon Platform. All rights reserved.